package com.jiayue.insu.inclientqn.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.time.LocalDateTime;

/**
 * 修正数据
 *
 * @author yh
 * @date 2022-04-12 19:33:02
 */
@Data
@TableName("corrfore_st")
public class CorrforeSt implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private String id;
    /**
     * 预测时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeFormat;
    /**
     * 预测时间
     */
    private Long forecastTime;
    /**
     * 预测值
     */
    private BigDecimal fpValue;
    /**
     * 总辐射
     */
    private BigDecimal globalR;
    /**
     * 直辐射
     */
    private BigDecimal directR;
    /**
     * 散辐射
     */
    private BigDecimal diffuseR;
    /**
     * 风速
     */
    private BigDecimal ws;
    /**
     * 风向
     */
    private BigDecimal wd;
    /**
     * 温度
     */
    private BigDecimal t;
    /**
     * 湿度
     */
    private BigDecimal rh;
    /**
     * 气压
     */
    private BigDecimal p;
    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime correctTime;

    @TableField( exist = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Long startTime;

    @TableField( exist = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Long endTime;

    /**
     * 场站编码
     */
    String stationCode;
}
