package com.jiayue.insu.inclientqn.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * Station场站信息
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/25 16:22
 */
@TableName(value = "in_station")
@Data
public class Station {

    /**
     * Id
     */
    @TableId(type = IdType.AUTO)
    Long id;
    /**
     * 场站名称
     */
    String name;
    /**
     * 场站标识
     */
    String stationCode;
    /**
     * 标识
     */
    String signCode;
    /**
     * 场站类型
     */
    String type;
    /**
     * 用户名
     */
    String username;
    /**
     * 密码
     */
    String password;
    /**
     * 一体化公司
     */
    String inCode;
    /**
     * token_url
     */
    String comurl;
    /**
     * downloadUrl
     */
    String downloadurl;

    /**
     * 回传url 武穴天机一体化回传url用作 上送云端原始超短期数据接口地址
     */
    String backurl;
    /**
     * 短期预测天数
     */
    Integer days;
    /**
     * 通讯key
     */
    String comKey;
    /**
     * key到期时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LocalDateTime keyTime;
    /**
     * 文件生成路径
     */
    String localFilePath;

    /*回传数据文件扫描位置*/
    String backFilePath;







}
