package com.jiayue.insu.incloud.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;


/**
 * 预测数据实体（林祥）
 *
 * @author yh
 * @version 1.0
 * @since 2020/7/8 10:56
 */

@TableName(value = "in_forecast_data_lx")
@Data
public class ForecastDataLx {
    /**
     * Id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    //场站编号
    private String stationCode;

    //公司信息
    private String inCode;

    //上送时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime uploadTime;

    //修正时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime correctTime;

    //预测时间
    private Long forecastTime;

    //预测功率
    private BigDecimal fpValue;
    private BigDecimal fpValueCorrect;

    // 生成日期
    private String genDate;

    // 预测日期
    private String forecastDate;
}
