package com.jiayue.insu.incloud.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;


/**
 * 发电量实体
 *
 * @author yh
 * @version 1.0
 * @since 2020/7/8 10:56
 */

@TableName(value = "in_power_generation")
@Data
public class PowerGeneration {
    /**
     * Id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    private String stationCode;


    private String inCode;

    // 生成时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date genDate;

    // 预测时间
    private String forecastTime;

    /**
     * 预测电量（MWh）
     */
    private Double predictedElectricityConsumption;


}
