package com.jiayue.insu.incloud.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.insu.incloud.entity.ForecastData;
import com.jiayue.insu.incloud.entity.IntegrationCompany;

import java.time.LocalDateTime;
import java.util.List;
/**
 * 预测数据业务接口
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public interface ForecastDataService extends IService<ForecastData> {
    /**
     * 删除数据 通过场站编码和时间
     * @param station 场站编码
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return 结果
     */
    boolean removeBetweenTimeByStation(String station,Long startTime,Long endTime);
    /**
     * 查询数据 通过场站编码和时间
     * @param station 场站编码
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return 结果
     */
    List<ForecastData>  findTimeByStation(String station,Long startTime,Long endTime);


    List<ForecastData>  findInitTimeByStation(LocalDateTime initTime,String stationCode);

    List<ForecastData>  findByInitTimeAndStationCodeAndForecastTimeBetween(LocalDateTime initTime,String stationCode,Long startTime,Long endTime);

    List<ForecastData>  findByInitTimeAndStationCode(LocalDateTime initTime,String stationCode);
}
