package com.jiayue.passback.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 场站功率状态抽象实体
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/2 9:34
 */
@Data
@TableName("t_power_station_status_data")
public class PowerStationStatusData extends AbstractEquipmentStatusData {

	private static final long serialVersionUID = 1L;

	/**
	 * 实际功率（MW）
	 */
	@TableField("C_REAL_VALUE")
	private BigDecimal realValue;
	/**
	 * 可用功率（MW）
	 */
	@TableField("C_ABLE_VALUE")
	private BigDecimal ableValue;

	/**
	 * 可用功率（MW）
	 */
	@TableField("C_THEORY_VALUE")
	private BigDecimal theoryValue;

	/**
	 * 系统判断是否限电
	 */
	@TableField("C_IS_RATIONING_BY_AUTO_CONTROL")
	private Boolean isRationingByAutoControl;


}
